path: /build/build/zfs-kmod-kernel-zen-6.7-2.2.3+4.package.tar.zst
dependencies: []
compilespec:
  steps:
  - luet i -y sys-apps/kmod virtual/modutils pkgconf virtual/libelf virtual/linux-sources
    kernel-6.7/macaroni-zen-minimal && luet cleanup
  - sed -i -e 's|^ZFS_KERNEL_COMPAT.*|ZFS_KERNEL_COMPAT="6.7"|g' /var/git/meta-repo/kits/core-kit/sys-fs/zfs-kmod/zfs-kmod-2.2.3.ebuild
  - 'sed -i -e ''s|^: ${DEPMOD.*|DEPMOD=depmod|g'' /usr/src/linux/scripts/depmod.sh'
  - emerge -j ${JOBS} sys-fs/zfs-kmod -pv -t
  - |
    emerge -j ${JOBS} sys-fs/zfs-kmod
  - |
    eval 'rm -rf /zfs-kmod || true' && mkdir /zfs-kmod && \
    luet-portage --dir /zfs-kmod sys-fs/zfs-kmod
  - for i in $(find /zfs-kmod/lib/modules/6.7.9-zen1-macaroni/extra/ -name '*.ko')
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:411873dae02c2fb15fec70080fc877abfbfd91dad3089b36a24dfb70e12ed815
  package:
    name: zfs-kmod
    version: 2.2.3+4
    category: kernel-zen-6.7
    requires:
    - name: kernel-zen
      version: '>=0'
      category: seed-6.7
    annotations:
      kernel_module: true
    buildtimestamp: 2024-03-28 00:12:14.710343277 +0000 UTC m=+333.445088989
    labels:
      emerge.packages: sys-fs/zfs-kmod
      kernel.suffix: macaroni
      kernel.type: zen
      kernel.version: 6.7.9-zen1
    treedir: /build/packages
  package_dir: /zfs-kmod
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/.*
  - ^/usr/src/.*
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9b5bb66b047885075a5b4b0e5362e5f78638cc3a75adbb0757b6fa2440ba1a72
compressiontype: zstd
files:
- lib/modules/6.7.9-zen1-macaroni/extra/spl.ko.zst
- lib/modules/6.7.9-zen1-macaroni/extra/zfs.ko.zst
package_cacheimage: ""
runtime:
  name: zfs-kmod
  version: 2.2.3+4
  category: kernel-zen-6.7
  requires:
  - name: zfs-common
    version: '>=0'
    category: kernel
  annotations:
    kernel_module: true
  labels:
    emerge.packages: sys-fs/zfs-kmod
    kernel.suffix: macaroni
    kernel.type: zen
    kernel.version: 6.7.9-zen1
